0 Replies Latest reply on Dec 29, 2017 8:32 AM by amduser02

    Ubuntu 14.04 with hybrid graphics Intel and AMD M5 330

    amduser02

      I am new to this forum. I am posting a question regarding my laptop (which is working fine btw now). (hp intel I3 having hybrid intel  / amd )

       

      Before asking here I asked here :: safely install opensource amd driver in ubuntu 14.04 - Ask Ubuntu

      I could not get any response there.

       

      So, my first question is whether my system is using the Radeon graphics card or not? If it does not please help me to install the required driver in a safe way.

       

      Second QS, If I don't install anything more, can it handle one 1920x1080  FullHD external monitor? I wanted to buy one in the upcoming week. So, I want to make sure that with this current config of my system can handle such FHD monitor. The present resolution of my laptop is as follows. Please HELP.

       

      xdpyinfo | grep dimensions
        dimensions:    1366x768 pixels (361x203 millimeters)
      

       

      lspci -k | grep -EA3 'VGA|3D|Display'
      00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09)
      Subsystem: Hewlett-Packard Company Device 80c2
      Kernel driver in use: i915
      00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
      --
      0d:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330] (rev ff)
      Kernel driver in use: radeon
      13:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter
      Subsystem: Hewlett-Packard Company Device 804c
      

       

      **update**

       

      ubuntu-drivers devices
      == /sys/devices/pci0000:00/0000:00:1c.4/0000:0d:00.0 ==
      model : Sun XT [Radeon HD 8600M Series]
      vendor : Advanced Micro Devices, Inc. [AMD/ATI]
      modalias : pci:v00001002d00006660sv0000103Csd000080C2bc03sc80i00
      driver : fglrx - distro non-free
      driver : xserver-xorg-video-ati - distro free builtin recommended
      driver : fglrx-updates - distro non-free

       

      I tried to install the latest crimson driver in my system. I downloaded the amd-driver-installer-15.302-x86.x86_64.run from the amd website and used command line sh command to install.

      It showed the following along with some message dialogue box (text were not visible).

       

      WARNING: Please install the required pre-requisites for package generation before proceeding with AMD Proprietary Driver installation. 
      Please check file usr/share/ati/fglrx-install.log for more details.
      Detected configuration:
      Architecture: x86_64 (64-bit)
      X Server: X.Org 6.9 or later 64-bit
      loki_setup: directory: (null)
      Removing temporary directory: fglrx-install.DN5bzi
      

       

      I installed all the dependencies mentioned in the fglrx-install.log file. But this error log still remains : ./amd_dcm64: No supported adapters detected

       

      Please suggest further.

      Thank you.